package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.CloudInstancesMapper;
import com.zyc.system.domain.CloudInstances;
import com.zyc.system.service.ICloudInstancesService;

/**
 * 云主机服务Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class CloudInstancesServiceImpl implements ICloudInstancesService 
{
    @Autowired
    private CloudInstancesMapper cloudInstancesMapper;

    /**
     * 查询云主机服务
     * 
     * @param id 云主机服务主键
     * @return 云主机服务
     */
    @Override
    public CloudInstances selectCloudInstancesById(Integer id)
    {
        return cloudInstancesMapper.selectCloudInstancesById(id);
    }

    /**
     * 查询云主机服务列表
     * 
     * @param cloudInstances 云主机服务
     * @return 云主机服务
     */
    @Override
    public List<CloudInstances> selectCloudInstancesList(CloudInstances cloudInstances)
    {
        return cloudInstancesMapper.selectCloudInstancesList(cloudInstances);
    }

    /**
     * 新增云主机服务
     * 
     * @param cloudInstances 云主机服务
     * @return 结果
     */
    @Override
    public int insertCloudInstances(CloudInstances cloudInstances)
    {
        return cloudInstancesMapper.insertCloudInstances(cloudInstances);
    }

    /**
     * 修改云主机服务
     * 
     * @param cloudInstances 云主机服务
     * @return 结果
     */
    @Override
    public int updateCloudInstances(CloudInstances cloudInstances)
    {
        return cloudInstancesMapper.updateCloudInstances(cloudInstances);
    }

    /**
     * 批量删除云主机服务
     * 
     * @param ids 需要删除的云主机服务主键
     * @return 结果
     */
    @Override
    public int deleteCloudInstancesByIds(Integer[] ids)
    {
        return cloudInstancesMapper.deleteCloudInstancesByIds(ids);
    }

    /**
     * 删除云主机服务信息
     * 
     * @param id 云主机服务主键
     * @return 结果
     */
    @Override
    public int deleteCloudInstancesById(Integer id)
    {
        return cloudInstancesMapper.deleteCloudInstancesById(id);
    }
}
